class CommodityList {
    constructor() {
        this.form = document.getElementById("fSearch");
    }

    ChangePerPage(e) {
        this.form.elements["page"].value = 1;
        this.submit();
    }

    submit() {
        this.form.submit();
    }
}

const commodityList = new CommodityList();

$(document).on("change", "#perPage, #interval", (e) => commodityList.ChangePerPage(e));
